Closed Bug 796733 Opened 7 years ago Closed 7 years ago

[FM Radio] Really long annoying beep after disconnecting headset while FM Radio is playing

Categories

(Firefox OS Graveyard :: General, defect)

defect
Not set

Tracking

(blocking-basecamp:+, firefox18 fixed, firefox19 fixed)

RESOLVED FIXED
blocking-basecamp +
Tracking Status
firefox18 --- fixed
firefox19 --- fixed

People

(Reporter: ghtobz, Assigned: slee)

Details

Attachments

(1 file)

[GitHub issue by nhirata on 2012-09-25T19:37:08Z, https://github.com/mozilla-b2g/gaia/issues/5161]
Otoro phone, build 2012-09-25 eu
Taken from default.xml in b2g-distro: 
* "platform_build" revision= 7d202d6409d7aa95011870e40ecfe7f177c27539
* "gaia" revision= 71e89d4338d59a86e8599abeda24dbfaf1c80e1a 
* "releases-mozilla-central" revision= 1c333645ec70bfce2176876e4bfaf24bfd4bbde5
* "gonk-misc" revision= b9f30c9c745885e03b7d6dab574fd1e588ac1b94  

## Repro :
1. plug in headset
2. launch FM radio
3. tune to a station
4. unplug headset

## Expected :
1. no annoying beep

## Actual :
1. esp long annoying beep 

## Note :
[GitHub comment by autonome on 2012-09-28T06:27:04Z]
I cannot reproduce. anyone else?

/cc @RayCheung
[GitHub comment by nhirata on 2012-10-01T22:58:44Z]
This still occurs : 
Otoro phone, build 2012-10-01 us
Taken from default.xml in b2g-distro: 
* "platform_build" revision= 795261940c8b11fb7dddd7a8e9dd8561fdc4fb64
* "gaia" revision= 5feb07b511ab907942731fc4961ccbce3958d021 
* "releases-mozilla-central" revision= 80b40bba7f30f6cea5cb148cbbdcbf008691972b
* "gonk-misc" revision= 202d2c62443c098b125e5d9d7b42226d98230e44
I hit this today during the smoketest on one of my phones, but not the other.
I can reproduce this problem. I also tried two android phones. When I unplug the headphone, FM radio turns off and shows error message that the antenna is not available. Should we follow this scenario?
Any movement on this yet?   This is still reproducing on 10-05 daily otoro builds.  

Repro:
1) launch FM radio
2) plug in headphones
3) select a station that works
4) unplug headphones
5) BeeeePPPP!!

10-05 16:08:40.652: I/FMRadio(450): Antenna state is changed!
10-05 16:08:40.652: W/AudioFlinger(112): Thread AudioOut_1 cannot connect to the power manager service
10-05 16:08:40.652: E/AudioHardwareMSM76XXA(112): doAudioRouteOrMute, mFM_route = -1 , device=27
10-05 16:08:40.652: E/AudioHardwareMSM76XXA(112): rpc_snd_set_device(27, 0, 0)
10-05 16:08:40.652: E/AudioHardwareMSM76XXA(112): rpc_snd_set_volume(38, 0, 7)
10-05 16:08:40.652: E/AudioHardwareMSM76XXA(112): rpc_snd_set_volume(38, 0, 6)
10-05 16:08:40.682: E/AudioHardwareMSM76XXA(112): Routing audio to Speakerphone
10-05 16:08:40.682: E/AudioHardwareMSM76XXA(112): doRouting disableFM()
10-05 16:08:40.723: E/AudioHardwareMSM76XXA(112): doAudioRouteOrMute, mFM_route = -1 , device=6
10-05 16:08:40.723: E/AudioHardwareMSM76XXA(112): rpc_snd_set_device(6, 1, 0)
10-05 16:08:40.733: E/AudioHardwareMSM76XXA(112): rpc_snd_set_volume(38, 0, 7)
10-05 16:08:40.953: E/GeckoConsole(734): Content JS LOG at app://fm.gaiamobile.org/js/fm.js:142 in updatePowerUI: Power status: off
10-05 16:08:40.953: E/GeckoConsole(450): Content JS LOG at app://fm.gaiamobile.org/js/fm.js:142 in updatePowerUI: Power status: off
FWIW, i was using the generic apple iphone4 headphones, which has the microphone and volume controls (3 lines in the output jack)
Attached patch patchSplinter Review
Hi mwu,

Could you please review this patch?
I found that we should re-order the calling sequence of disable FM radio and change audio state to prevent the beeping sound.
Thanks.
Assignee: nobody → slee
Attachment #669000 - Flags: review?(mwu)
Attachment #669000 - Flags: review?(mwu) → review+
Component: Gaia → General
Whiteboard: [label:FM Radio]
Keywords: checkin-needed
Don't forget to include a commit message on patches you want checked in.

https://hg.mozilla.org/integration/mozilla-inbound/rev/e513d3aa6a1e
Keywords: checkin-needed
(In reply to Ryan VanderMeulen from comment #8)
> Don't forget to include a commit message on patches you want checked in.
> 
> https://hg.mozilla.org/integration/mozilla-inbound/rev/e513d3aa6a1e
Thanks for adding the message. I will remember add it next time.
https://hg.mozilla.org/mozilla-central/rev/e513d3aa6a1e
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.